package org.processmining.plugins.tracealignment;

import org.processmining.framework.connections.annotations.ConnectionObjectFactory;
import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.framework.plugin.annotations.Plugin;

@Plugin(name = "TraceAlignment Connection Factory", parameterLabels = { "AlignmentFrame" }, returnTypes = AlignmentFrame.class, returnLabels = "Alignment Frame", userAccessible = false)
@ConnectionObjectFactory
public class TraceAlignmentConnection extends AbstractConnection {
	public TraceAlignmentConnection(AlignmentFrame frame) {
		super("TraceAlignmentConnection");
		put("AlignmentFrame", frame);
	}
}
