package org.processmining.plugins.tracealignment.ui;

public interface DisplayPropertiesListener {
	public void displayAnnViewChanged(DisplayProperties dp, Sequence sequence, boolean show);

	public void displaySeqSelectChanged(DisplayProperties dp, Sequence sequence, boolean select);

	public void displayColorSchemeChanged(DisplayProperties dp, ColorScheme old);

	public void displayFontChanged(DisplayProperties dp);

	public void displayRenderGapsChanged(DisplayProperties dp);

	public void displayGroupEditingChanged(DisplayProperties dp);

	public void displayOverwriteChanged(DisplayProperties dp);

	public void displayHighlightsChanged(DisplayProperties dp, Sequence sequence);

	public void displayHighlightsChanged(DisplayProperties dp, Sequence[] sequenceArray);

	public void activityBackgroundChanged(DisplayProperties dp);
}
