package org.processmining.plugins.tracealignment.ui;

import java.awt.Component;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JLabel;
import javax.swing.JList;

import org.processmining.plugins.tracealignment.ui.Sequence.LineAnnotation;

@SuppressWarnings("serial")
public class LineAnnotationListCellRenderer extends DefaultListCellRenderer {
	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected,
			boolean cellHasFocus) {
		// We know that the DefaultCellRenderer is based on a JLabel, so it is
		// safe to make this cast.
		JLabel rendererComponent = (JLabel) super.getListCellRendererComponent(list, value, index, isSelected,
				cellHasFocus);
		LineAnnotation lineAnnotation = (LineAnnotation) value;
		rendererComponent.setText(lineAnnotation.getName());
		return rendererComponent;
	}
}
