package org.processmining.plugins.tracealignment.ui;

import java.awt.Color;

public interface ColorScheme {
	public String getName();

	public Color getForegroundColor(Sequence sequence, int activityIndex);

	public Color getBackgroundColor(Sequence sequence, int activityIndex);

	public void addListener(ColorSchemeListener csListener);

	public void removeListener(ColorSchemeListener csListener);
}
